import argparse
import asyncio

from .config import load_config
from .bot import run

async def __main():
    parser = argparse.ArgumentParser()
    parser.add_argument("-c", "--config", default="config.yaml")
    args = parser.parse_args()

    config = load_config(args.config)
    message_queue = asyncio.Queue()
    await run(
        config,
        message_queue
    )

def main():
    asyncio.run(__main())

if __name__ == "__main__":
    main()
